#!/bin/bash

# Maintainer : Son|c <emmanuel.bailleul@cegetel.net>
# source package is here : http://www.dcc-servers.net/dcc/source/dcc-1.3.86.tar.Z

soft='dcc'
softversion='1.3.92'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.Z"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest

# A little fix
#cd $src/homedir
#sed -i 's@\#\!\ \/bin\/sh\ -e@\#\!\/bin\/bash@' fix-map

#sed -i 's/MAP=map/MAP=map\.txt/' fix-map
#x=`echo $dest |sed -e 's!\/!\\\/!g'`
#sed -i "s!DCC_HOMEDIR=!DCC_HOMEDIR=$x\/etc\/dcc!" fix-map

export CFLAGS="-O2 -march=$arch -mtune=$cpu" 
cd $src
./configure --homedir=/etc/dcc --bindir=/usr/bin \
--libexecdir=/usr/libexec --mandir=/usr/man --with-installroot=$dest \
--disable-dccm --disable-server --disable-dccifd --disable-IPV6
make
make install

chown -R root.root $dest/usr/bin $dest/usr/libexec $dest/usr/man/man8 $dest/etc
#chmod -R 644 $dest/usr/man/man8
#chmod 4555 $dest/usr/bin/* $dest/usr/libexec/dccsight

( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  FAQ.txt INSTALL.txt LICENSE *.html \
  $dest/usr/doc/$soft-$softversion
chown -R root.root $dest/usr/doc/$soft-$softversion

#mkdir $dest/etc/rc.d
#mv $dest/usr/libexec/rcDCC $dest/etc/rc.d/rc.dcc
#chmod 644 $dest/etc/rc.d/rc.dcc
rm $dest/usr/libexec/rcDCC

mkdir -p $dest/install 
cat << "EOF"  > $dest/install/slack-desc
       |-----handy-ruler------------------------------------------------------|
dcc: distributed checksum clearinghouse (antispam tool)
dcc: 
dcc: The DCC or Distributed Checksum Clearinghouse is an anti-spam content
dcc: filter that runs on a variety of operating systems. As of mid-2006, it
dcc: involves millions of users, tens of thousands of clients and more than
dcc: 250 servers collecting and counting checksums related to more than 300
dcc: million mail messages on week days. The counts can be used by SMTP
dcc: servers and mail user agents to detect and reject or filter spam or
dcc: unsolicited bulk mail. DCC servers exchange or "flood" common checksums.
dcc: The checksums include values that are constant across common variations
dcc: in bulk messages, including "personalizations."
EOF

mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

#------------------( Create The *.dep File )

cd $dest
requiredbuilder -z $dest > $buildir/$package.dep

#Make package
makepkg -l y -c n $dest.tgz
#mv $package.tgz ../$package.tgz

# computes the md5sum signature for the package
cd $buildir
md5sum $package.tgz > $package.md5

